fix_filename_case(3)

NAME
fix_filename_case - Converts a filename to a standardised case. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *fix_filename_case(char *path);

DESCRIPTION
Converts the filename stored in `path' to a standardised case. On DOS platforms, they will be entirely uppercase. On other platforms this function doesn't do anything. Example:
   get_executable_name(name, sizeof(name));
   fix_filename_case(name);
   allegro_message("Running `%s'\n", name);

RETURN VALUE
Returns a copy of the `path' parameter.

SEE ALSO
fix_filename_slashes(3), canonicalize_filename(3)